Order address

Get billing address for the order

get

To obtain the billing address for an order, provide the order ID in the {id} URI path parameter.

Path parameters
orderIdstringRequired

Provide the order's identifier..

Query parameters
tokenstringOptional

Provide the authorized or anonymous token for a shopper.

expandstringOptional

Use the expand query parameter when you want additional fields to appear in the response. The expand query parameter provides more fields in the response. Expanding resources reduces the number of API calls required to accomplish a task.

fieldsstringOptional

Specify the fields that you want to appear in the response. Filtering the fields returned in the response can conserve bandwidth and accelerate response time.

Responses
chevron-right
200

Successful response.

application/json
uristringOptionalExample: https://api.digitalriver.com/v1/shoppers/me/address/47278020023
relationstringOptionalExample: https://developers.digitalriver.com/v1/shoppers/AddressesResource
idstringOptional

Unique identifier of the address.

Example: billingAddress
firstNamestringOptional

The shopper's first name.

Example: Automation
lastNamestringOptional

The shopper's last name.

Example: Tester
companyNamestringOptional

Company Name

Example: Digital River
line1stringOptional

The first line of the address.

Example: PO BOX 6930
line2stringOptional

The second line of the address.

Example: 123
line3stringOptional

The third line of the address. (Optional)

Example: Suite Line 3
citystringOptional

City or town.

Example: Waconia
countrySubdivisionstringOptional

State/County/Province/Region.

Example: MN
postalCodestringOptional

ZIP or postal code.

Example: 5387.0
countrystringOptional

A two-letter (ISO 3166-2) country code. See https://en.wikipedia.org/wiki/ISO_3166-2 for a complete list of country codes.

Example: US
countryNamestringOptional

Country.

Example: United States
phoneNumberstringOptional

The shopper's phone number.

Example: 099-222-44454
emailAddressstringOptional

The shopper's email address.

Example: [email protected]
countyNamestringOptional

County.

Example: Hennepin
phoneticFirstNamestringOptional

The shopper's Japanese Katakana first name. (Optional, usually for Japanese locale.)

Example: クリス
phoneticLastNamestringOptional

The shopper's Japanese Katakana last name. (Optional, usually for Japanese locale.)

Example: ミラー
divisionstringOptional

The shopper's company departmant name. (Optional, usually for Japanese locale.)

Example: 製品開発
titlestringOptional

The shopper's title. (Optional, usually for France locale.)

Example: M
get
/v1/shoppers/me/orders/{orderId}/billing-address

Get shipping address for the order

get

Get the shipping address for an order. You must specify the ID of the order in the {id} URI path parameter.

Path parameters
orderIdstringRequired

Provide the order's identifier.

Query parameters
tokenstringOptional

Provide the authorized or anonymous token for a shopper.

expandstringOptional

Use the expand query parameter when you want additional fields to appear in the response. The expand query parameter provides more fields in the response. Expanding resources reduces the number of API calls required to accomplish a task.

fieldsstringOptional

Specify the fields that you want to appear in the response. Filtering the fields returned in the response can conserve bandwidth and accelerate response time.

Responses
chevron-right
200

Successful response.

application/json
uristringOptionalExample: https://api.digitalriver.com/v1/shoppers/me/address/47278020023
relationstringOptionalExample: https://developers.digitalriver.com/v1/shoppers/AddressesResource
idstringOptional

Unique identifier of the address.

Example: shippingAddress
firstNamestringOptional

The shopper's first name.

Example: Automation
lastNamestringOptional

The shopper's last name.

Example: Tester
companyNamestringOptional

Company Name

Example: Digital River
line1stringOptional

The first line of the address.

Example: PO BOX 6930
line2stringOptional

The second line of the address.

Example: 123
line3stringOptional

The third line of the address. (Optional)

Example: Suite Line 3
citystringOptional

City or town.

Example: Waconia
countrySubdivisionstringOptional

State/County/Province/Region.

Example: MN
postalCodestringOptional

ZIP or postal code.

Example: 5387.0
countrystringOptional

A two-letter (ISO 3166-2) country code. See https://en.wikipedia.org/wiki/ISO_3166-2 for a complete list of country codes.

Example: US
countryNamestringOptional

Country.

Example: United States
phoneNumberstringOptional

The shopper's phone number.

Example: 099-222-44454
countyNamestringOptional

County.

Example: Hennepin
emailAddressstringOptional

The shopper's email address.

Example: [email protected]
phoneticFirstNamestringOptional

The shopper's Japanese Katakana first name. (Optional, usually for Japanese locale.)

Example: クリス
phoneticLastNamestringOptional

The shopper's Japanese Katakana last name. (Optional, usually for Japanese locale.)

Example: ミラー
divisionstringOptional

The shopper's company departmant name. (Optional, usually for Japanese locale.)

Example: 製品開発
get
/v1/shoppers/me/orders/{orderId}/shipping-address

Last updated